SETTING = 0x00
MAIN_FAULT = 0x03
MD1_FAULT = 0x04
MD2_FAULT = 0x05
MD3_FAULT = 0x06
MD4_FAULT = 0x07

# BIT 0 :: FAULT VDC OVP HW
# BIT 1 :: FAULT IDC OVP HW
# BIT 2 :: FAULT VDC OVP1 SW
# BIT 3 :: FAULT IDC OCP1 SW
# BIT 4 :: FAULT VDC OVP2 SW
# BIT 5 :: FAULT IDC OCP2 SW
# BIT 6 :: FAULT RO MIN 1 
# BIT 7 :: FAULT RO MIN 2

FAULT_NAMES = [
    "VDC #1 OVP HW", # 0
    "VDC #2 OVP HW", # 1
    "VDC #3 OVP HW", # 2
    "IDC #1 OCP HW", # 4
    "IDC #2 OCP HW", # 5
    "IDC #3 OCP HW", # 6
    "IO POSI OCP HW", # 8
    "IO NEGA OCP HW", # 9
    "IDC OCP SW",   # 10
    "VDC OVP SW",   # 11
    "UVLO"          # 12
]

SET_DC_LINK_HV = 0x08
SET_DC_LINK_LV = 0x09
SET_PULSE_FREQ = 0x0a

READ_MD1_STATE1_DUTY = 15

SET_MD1_STATE1_DUTY = 15
SET_MD1_STATE1_CURRENT = 0x0c
SET_MD1_STATE2_DUTY = 0x0d
SET_MD1_STATE2_CURRENT = 0x0e
SET_MD1_STATE3_DUTY = 0x0f
SET_MD1_STATE3_CURRENT = 0x10
SET_MD1_STATE4_DUTY = 0x11
SET_MD1_STATE4_CURRENT = 0x12
SET_MD1_STATE5_DUTY = 0x13
SET_MD1_STATE5_CURRENT = 0x14

SET_MD2_STATE1_DUTY = 0x15
SET_MD2_STATE1_CURRENT = 0x16
SET_MD2_STATE2_DUTY = 0x17
SET_MD2_STATE2_CURRENT = 0x18
SET_MD2_STATE3_DUTY = 0x19
SET_MD2_STATE3_CURRENT = 0x1a
SET_MD2_STATE4_DUTY = 0x1b
SET_MD2_STATE4_CURRENT = 0x1c
SET_MD2_STATE5_DUTY = 0x1d
SET_MD2_STATE5_CURRENT = 0x1e

SET_MD3_STATE1_DUTY = 0x1f
SET_MD3_STATE1_CURRENT = 0x20
SET_MD3_STATE2_DUTY = 0x21
SET_MD3_STATE2_CURRENT = 0x22
SET_MD3_STATE3_DUTY = 0x23
SET_MD3_STATE3_CURRENT = 0x24
SET_MD3_STATE4_DUTY = 0x25
SET_MD3_STATE4_CURRENT = 0x26
SET_MD3_STATE5_DUTY = 0x27
SET_MD3_STATE5_CURRENT = 0x28

SET_MD4_STATE1_DUTY = 0x29
SET_MD4_STATE1_CURRENT = 0x2a
SET_MD4_STATE2_DUTY = 0x2b
SET_MD4_STATE2_CURRENT = 0x2c
SET_MD4_STATE3_DUTY = 0x2d
SET_MD4_STATE3_CURRENT = 0x2e
SET_MD4_STATE4_DUTY = 0x2f
SET_MD4_STATE4_CURRENT = 0x30
SET_MD4_STATE5_DUTY = 0x31
SET_MD4_STATE5_CURRENT = 0x32

SET_COMM_ERR_TIME = 0x33
SET_ONOFF_MODE = 0x34
SET_Ethernet_IP1 = 0x35
SET_Ethernet_IP2 = 0x36
SET_Ethernet_IP3 = 0x37
SET_Ethernet_IP4 = 0x38
SET_VDC1_OVP_LEVEL = 0x39
SET_VDC2_OVP_LEVEL = 0x3a
SET_RO_MIN_FAULT_LEVEL = 0x3b
SET_P_Gain = 0x3c
SET_I_Gain = 0x3d
SET_Reserved = 0x3e
Set_Model = 0x3f
Version = 0x40

## Module 별
# MOD1
MOD1_System_Status = 0x41
# MOD2
MOD2_System_Status = 0x4d
# MOD3
MOD3_System_Status = 0x59
# MOD4
MOD4_System_Status = 0x65


## Module 별
# MOD1
MOD1_GRAPH = 0x03e8
# MOD2
MOD2_GRAPH = 0x07d0
# MOD3
MOD3_GRAPH = 0x0bb8
# MOD4
MOD4_GRAPH = 0x0fa0




